Namespace My


    Public Class LanguageInfo
        Private Shared m_IsGerman As Boolean = False
        Shared Sub New()
            If My.Application.Culture.TwoLetterISOLanguageName = "de" Then
                m_IsGerman = True
            End If
        End Sub
        Shared Function TextStations() As String
            If m_IsGerman Then Return "Radio-Stationen"
            Return "Stations"
        End Function
        Shared Function TextRecords() As String
            If m_IsGerman Then Return "Aufgezeichnete Dateien"
            Return "Records"
        End Function

        Shared Function TextAdd() As String
            If m_IsGerman Then Return "Hinzufgen"
            Return "Add"
        End Function
        Shared Function TextRemove() As String
            If m_IsGerman Then Return "Entfernen"
            Return "Remove"
        End Function
        Shared Function TextRecord() As String
            If m_IsGerman Then Return "Aufnehmen"
            Return "Record"
        End Function
        Shared Function TextStop() As String
            If m_IsGerman Then Return "Stop"
            Return "Stop"
        End Function
        Shared Function TextPlay() As String
            If m_IsGerman Then Return "Wiedergeben"
            Return "Play"
        End Function
        Shared Function TextTasks() As String
            If m_IsGerman Then Return "Planer"
            Return "Tasks"
        End Function
        Shared Function TextTasks1() As String
            If m_IsGerman Then Return "Auftrge"
            Return "Tasks"
        End Function
        Shared Function TextTasksFor() As String
            If m_IsGerman Then Return "Aufzeichnungs-Auftrge fr"
            Return "Recording Tasks for"
        End Function
        Shared Function TextSave() As String
            If m_IsGerman Then Return "Speichern"
            Return "Save"
        End Function
        Shared Function QuestionRemoveSelectedStation() As String
            If m_IsGerman Then Return "Ausgewhlte Station entfernen?"
            Return "Remove selected station?"
        End Function
        Shared Function QuestionInputStationURL() As String
            If m_IsGerman Then Return "Bitte URL fr Shoutcast Stream (*.mp3) oder Playlist (*.pls) angeben."
            Return "Please input URL of Shoutcast Stream (*.mp3) or Playlist (*.pls)."
        End Function
        Shared Function TimeLengthString(ByVal Hours As Integer, ByVal Minutes As Integer, ByVal Seconds As Integer) As String
            If m_IsGerman Then
                If Hours > 0 Then
                    Return Hours.ToString & " Stunden " & Minutes.ToString & " Minuten " & Seconds.ToString & " Sekunden"
                ElseIf Minutes > 0 Then
                    Return Minutes.ToString & " Minuten " & Seconds.ToString & " Sekunden"
                Else
                    Return Seconds.ToString & " Sekunden"
                End If
            Else
                If Hours > 0 Then
                    Return Hours.ToString & " Hours " & Minutes.ToString & " Minutes " & Seconds.ToString & " Seconds"
                ElseIf Minutes > 0 Then
                    Return Minutes.ToString & " Minutes " & Seconds.ToString & " Seconds"
                Else
                    Return Seconds.ToString & " Seconds"
                End If
            End If
        End Function

        Shared Function TextStarting() As String
            If m_IsGerman Then Return "Starten"
            Return "Starting"
        End Function
        Shared Function TextRecording() As String
            If m_IsGerman Then Return "Aufzeichnen"
            Return "Recording"
        End Function
        Shared Function TextCurrentTitle() As String
            If m_IsGerman Then Return "Aktueller Titel"
            Return "Current Title"
        End Function
        Shared Function TextEnd() As String
            If m_IsGerman Then Return "Ende"
            Return "End"
        End Function
        Shared Function TextTimeLength() As String
            If m_IsGerman Then Return "Dauer"
            Return "Length"
        End Function
        Shared Function TextAddSingleTask() As String
            If m_IsGerman Then Return "Neuer Einzelauftrag"
            Return "Add Single Task"
        End Function
        Shared Function TextAddPeriodicTask() As String
            If m_IsGerman Then Return "Neuer Wochentags-Auftrag"
            Return "Add Periodic Task"
        End Function
        Shared Function TextCancel() As String
            If m_IsGerman Then Return "Abbrechen"
            Return "Cancel"
        End Function

        Shared Function TextSaveMP3() As String
            If m_IsGerman Then Return "MP3 speichern"
            Return "Save MP3"
        End Function
        Shared Function TextCreateMultipleFiles() As String
            If m_IsGerman Then Return "Separate Dateien"
            Return "Create multiple files"
        End Function
        Shared Function TextCreateSingleFile() As String
            If m_IsGerman Then Return "Einzelne Datei"
            Return "Create single file"
        End Function
        Shared Function TextEnumerateFiles() As String
            If m_IsGerman Then Return "Numerieren"
            Return "Enumerate files"
        End Function
        Shared Function TextAddID3Tag() As String
            If m_IsGerman Then Return "ID3 Tag hinzufgen"
            Return "Add ID3 Tag"
        End Function
        Shared Function TextPleaseWait() As String
            If m_IsGerman Then Return "Bitte warten..."
            Return "Please wait..."
        End Function
        Shared Function TextProgress() As String
            If m_IsGerman Then Return "Fortschritt"
            Return "Progress"
        End Function
    End Class
End Namespace